Bug 861158 - [abrt] python-2.7.3-13.fc18: CShaderPrg_Enable: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-13.fc18: CShaderPrg_Enable: Process /usr/bin/python2.7 wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:133cc0b619d4db1688b07e01922...
:
: 861096 861166 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 12:24 EDT by Steve Tyler
Modified: 2014-02-05 07:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:21:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (3.06 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: environ (2.56 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: backtrace (159.43 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: cgroup (131 bytes, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: maps (23.29 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: dso_list (6.89 KB, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: var_log_messages (306 bytes, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details
File: open_fds (179 bytes, text/plain)
2012-09-27 12:24 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-09-27 12:24:25 EDT
Description of problem:
Use pymol test case for Intel Graphics Test Day.

[liveuser@localhost ~]$ pymol
 PyMOL(TM) Molecular Graphics System, Version 1.5.0.2.
 Copyright (c) Schrodinger, LLC.
 All Rights Reserved.
 
    Created by Warren L. DeLano, Ph.D. 
 
    PyMOL is user-supported open-source software.  Although some versions
    are freely available, PyMOL is not in the public domain.
 
    If PyMOL is helpful in your work or study, then please volunteer 
    support for our ongoing efforts to create open and affordable scientific
    software by purchasing a PyMOL Maintenance and/or Support subscription.

    More information can be found at "http://www.pymol.org".
 
    Enter "help" for a list of commands.
    Enter "help <command-name>" for information on a specific command.

 Hit ESC anytime to toggle between text and graphics.

 Detected OpenGL version prior to 2.0.  Shaders and volumes unavailable.
 OpenGL graphics engine:
  GL_VENDOR: Intel Open Source Technology Center
  GL_RENDERER: Mesa DRI Intel(R) 915GM 
  GL_VERSION: 1.4 Mesa 9.0-devel
/usr/bin/pymol: line 3:  2801 Segmentation fault      (core dumped) /usr/bin/python /usr/lib/python2.7/site-packages/pymol/__init__.py "$@"
[liveuser@localhost ~]$ 


Version-Release number of selected component:
python-2.7.3-13.fc18

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/pymol/__init__.py
crash_function: CShaderPrg_Enable
kernel:         3.6.0-0.rc7.git0.1.fc18.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 CShaderPrg_Enable at layer0/ShaderMgr.c
: #1 CShaderPrg_Enable_SphereShader at layer0/ShaderMgr.c
: #2 RepSphereRender at layer2/RepSphere.c
: #3 CoordSetRender at layer2/CoordSet.c
: #4 ObjectMoleculeRender at layer2/ObjectMolecule.c
: #5 SceneRenderAll at layer1/Scene.c
: #6 DoRendering at layer1/Scene.c
: #7 SceneRender at layer1/Scene.c
: #8 OrthoDoDraw at layer1/Ortho.c
: #9 ExecutiveDrawNow at layer3/Executive.c
Comment 1 Steve Tyler 2012-09-27 12:24:28 EDT
Created attachment 618192 [details]
File: core_backtrace
Comment 2 Steve Tyler 2012-09-27 12:24:30 EDT
Created attachment 618193 [details]
File: environ
Comment 3 Steve Tyler 2012-09-27 12:24:32 EDT
Created attachment 618194 [details]
File: backtrace
Comment 4 Steve Tyler 2012-09-27 12:24:33 EDT
Created attachment 618195 [details]
File: limits
Comment 5 Steve Tyler 2012-09-27 12:24:35 EDT
Created attachment 618196 [details]
File: cgroup
Comment 6 Steve Tyler 2012-09-27 12:24:36 EDT
Created attachment 618197 [details]
File: maps
Comment 7 Steve Tyler 2012-09-27 12:24:38 EDT
Created attachment 618198 [details]
File: dso_list
Comment 8 Steve Tyler 2012-09-27 12:24:39 EDT
Created attachment 618199 [details]
File: var_log_messages
Comment 9 Steve Tyler 2012-09-27 12:24:41 EDT
Created attachment 618200 [details]
File: open_fds
Comment 10 Dave Malcolm 2012-09-27 12:30:25 EDT
Thanks for filing this bug report.

Looking at attachment 618194 [details] this looks like a NULL ptr dereference within CShaderPrg_Enable (in layer0/ShaderMgr.c) in thread 1.
Comment 11 Steve Tyler 2012-09-27 12:40:49 EDT
(In reply to comment #10)
> Thanks for filing this bug report.
> 
> Looking at attachment 618194 [details] this looks like a NULL ptr
> dereference within CShaderPrg_Enable (in layer0/ShaderMgr.c) in thread 1.

Thanks for your quick diagnosis.
I reassigned to xorg-x11-drv-intel, because it seems similar to:

Bug 861096 - pymol segfault on system with intel video card
Comment 12 Dave Malcolm 2012-09-27 14:27:52 EDT
*** Bug 861166 has been marked as a duplicate of this bug. ***
Comment 13 Dave Malcolm 2012-09-27 14:28:50 EDT
*** Bug 861096 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2013-12-21 03:58:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:21:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.